commit:     1482b3fd3c37733a7b721526361c8a1586bcfaf5
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Tue Jul  7 17:04:40 2020 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Tue Jul  7 17:08:14 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1482b3fd

sys-apps/keyutils: bump to v1.6.2

Package-Manager: Portage-2.3.103, Repoman-2.3.23
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 sys-apps/keyutils/Manifest              |   1 +
 sys-apps/keyutils/keyutils-1.6.2.ebuild | 120 ++++++++++++++++++++++++++++++++
 2 files changed, 121 insertions(+)

diff --git a/sys-apps/keyutils/Manifest b/sys-apps/keyutils/Manifest
index 2d430658d3b..e57a41e9c31 100644
--- a/sys-apps/keyutils/Manifest
+++ b/sys-apps/keyutils/Manifest
@@ -1 +1,2 @@
 DIST keyutils-1.6.1.tar.gz 119065 BLAKE2B 
b0c65d8a1ee8cab1ac712820a8bf073777eacd558ddd007fa0fd50467d1de86cff238c1c0e6b33b5ff4da7dfd7e2fd673ce5706c39780e1a4fbee7d9653f3bc9
 SHA512 
a717d9bc6142edefc02da9e92242db352e0bc835483c303629c236e6d9cc51fb495b03fdf9e0e9f0864d7e755c92b7a67f018e806a5de1944673e60e317134a2
+DIST keyutils-1.6.2.tar.gz 137099 BLAKE2B 
7f304631e46a7e3f3dd5d64ca55661e6f39518bbcab9cd27c2ef4a53656c9e51891f462829c63dd8ea14c51472d8e10032df692925d8f001faa3db64f842172a
 SHA512 
276eb8747a25f9519b1b244499b6ee47b12c54d20885a42f40f812bff4d8c774366e08dd8c6c9f87031fdd6fa91b22888625754b7d1152bdbf5b465120698a52

diff --git a/sys-apps/keyutils/keyutils-1.6.2.ebuild 
b/sys-apps/keyutils/keyutils-1.6.2.ebuild
new file mode 100644
index 00000000000..127ba037b76
--- /dev/null
+++ b/sys-apps/keyutils/keyutils-1.6.2.ebuild
@@ -0,0 +1,120 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit multilib toolchain-funcs linux-info multilib-minimal usr-ldscript
+
+DESCRIPTION="Linux Key Management Utilities"
+HOMEPAGE="https://git.kernel.org/pub/scm/linux/kernel/git/dhowells/keyutils.git";
+SRC_URI="https://git.kernel.org/pub/scm/linux/kernel/git/dhowells/keyutils.git/snapshot/${P}.tar.gz";
+
+LICENSE="GPL-2 LGPL-2.1"
+SLOT="0/1.9"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv 
~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="static static-libs test"
+RESTRICT="!test? ( test )"
+
+RDEPEND=""
+DEPEND="!prefix? ( >=sys-kernel/linux-headers-2.6.11 )"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-1.6-makefile-fixup.patch
+       "${FILESDIR}"/${PN}-1.5.10-disable-tests.patch #519062 #522050
+       "${FILESDIR}"/${PN}-1.5.9-header-extern-c.patch
+)
+
+pkg_setup() {
+       # To prevent a failure in test phase and false positive bug reports
+       # we are enforcing the following options because testsuite expects
+       # that these options are available. I.e. testsuite only decides based
+       # on kernel version which tests will be called, no feature checking.
+       if use test ; then
+               CONFIG_CHECK="KEYS"
+               ERROR_KEYS="You must have CONFIG_KEYS to run the package 
testsuite!"
+
+               if kernel_is -ge 2 6 10 && kernel_is -lt 4 0 0 ; then
+                       CONFIG_CHECK="${CONFIG_CHECK} KEYS_DEBUG_PROC_KEYS"
+                       ERROR_KEYS_DEBUG_PROC_KEYS="You must have 
CONFIG_KEYS_DEBUG_PROC_KEYS to run the package testsuite!"
+               fi
+
+               if kernel_is -ge 4 7 ; then
+                       CONFIG_CHECK="${CONFIG_CHECK} KEY_DH_OPERATIONS"
+                       ERROR_KEY_DH_OPERATIONS="You must have 
CONFIG_KEY_DH_OPERATIONS to run the package testsuite!"
+               fi
+       else
+               CONFIG_CHECK="~KEYS"
+               ERROR_KEYS="You will be unable to use this package on this 
system because CONFIG_KEYS is not set!"
+
+               if kernel_is -ge 4 7 ; then
+                       CONFIG_CHECK="${CONFIG_CHECK} ~KEY_DH_OPERATIONS"
+                       ERROR_KEY_DH_OPERATIONS="You will be unable to use 
Diffie-Hellman on this system because CONFIG_KEY_DH_OPERATIONS is not set!"
+               fi
+       fi
+
+       linux-info_pkg_setup
+}
+
+src_prepare() {
+       default
+
+       # The lsb check is useless, so avoid spurious command not found 
messages.
+       sed -i -e 's,lsb_release,:,' tests/prepare.inc.sh || die
+       # All the test files are bash, but try to execute via `sh`.
+       sed -i -r \
+               -e 's:([[:space:]])sh([[:space:]]):\1bash\2:' \
+               tests/{Makefile*,*.sh} || die
+       find tests/ -name '*.sh' -exec sed -i '1s:/sh$:/bash:' {} + || die
+       # Some tests call the kernel which calls userspace, but that will
+       # run the install keyutils rather than the locally compiled one,
+       # so disable round trip tests.
+       rm -rf tests/keyctl/requesting/{bad-args,piped,valid}
+
+       multilib_copy_sources
+}
+
+multilib_src_compile() {
+       tc-export AR CC CXX
+       sed -i \
+               -e "1iRPATH = $(usex static -static '')" \
+               -e '/^C.*FLAGS/s|:=|+=|' \
+               -e 's:-Werror::' \
+               -e '/^BUILDFOR/s:=.*:=:' \
+               -e "/^LIBDIR/s:=.*:= /usr/$(get_libdir):" \
+               -e '/^USRLIBDIR/s:=.*:=$(LIBDIR):' \
+               -e "s: /: ${EPREFIX}/:g" \
+               -e '/^NO_ARLIB/d' \
+               Makefile || die
+
+       # We need the static lib in order to statically link programs.
+       if use static ; then
+               export NO_ARLIB=0
+               # Hack the progs to depend on the static lib instead.
+               sed -i \
+                       -e '/^.*:.*[$](DEVELLIB)$/s:$(DEVELLIB):$(ARLIB) 
$(SONAME):' \
+                       Makefile || die
+       else
+               export NO_ARLIB=$(usex static-libs 0 1)
+       fi
+       emake
+}
+
+multilib_src_test() {
+       # Execute the locally compiled code rather than the
+       # older versions already installed in the system.
+       LD_LIBRARY_PATH=${BUILD_DIR} \
+       PATH="${BUILD_DIR}:${PATH}" \
+       emake test
+}
+
+multilib_src_install() {
+       # Possibly undo the setting for USE=static (see src_compile).
+       export NO_ARLIB=$(usex static-libs 0 1)
+
+       default
+       use static || gen_usr_ldscript -a keyutils
+}
+
+multilib_src_install_all() {
+       dodoc README
+}

Reply via email to